Bug 226049 - Inefficient usage of LinkedList
Inefficient usage of LinkedList
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Filesystems
7.3
All All
: P3 (vote)
: 7.4
Assigned To: Tomas Hurka
issues@platform
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-13 09:59 UTC by Tomas Hurka
Modified: 2013-09-02 14:48 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2013-02-13 09:59:27 UTC
Instead of LinkedList it better to use ArrayList or ArrayDequeue. They use less memory and in some situation are even faster.
Comment 1 Tomas Hurka 2013-02-13 10:02:02 UTC
Updated description:

It is better to use ArrayList or ArrayDeque instead of LinkedList. They use less
memory and in some situation are even faster.
Comment 2 Quality Engineering 2013-02-14 02:20:14 UTC
Integrated into 'main-golden', will be available in build *201302132300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/4fd37264f9cb
User: Tomas Hurka <thurka@netbeans.org>
Log: issue #226049, do not use LinkedList in masterfs
Comment 3 Tomas Hurka 2013-09-02 14:47:23 UTC
Fixed in NB 7.4.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo